aboutsummaryrefslogtreecommitdiffstats
path: root/community/vlc/vlc.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-04-14 14:21:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-04-14 14:47:00 +0000
commit3685753335233dcf839f13341c66d09a78896bf6 (patch)
tree1a0a88dad03dcdc6e793d6ebf5b85abca1d98800 /community/vlc/vlc.initd
parent929d8744c21a0a42705fa002d2d97bd37ef72f51 (diff)
downloadaports-3685753335233dcf839f13341c66d09a78896bf6.tar.bz2
aports-3685753335233dcf839f13341c66d09a78896bf6.tar.xz
community/vlc: move from main
Diffstat (limited to 'community/vlc/vlc.initd')
-rwxr-xr-xcommunity/vlc/vlc.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/community/vlc/vlc.initd b/community/vlc/vlc.initd
new file mode 100755
index 0000000000..541a071805
--- /dev/null
+++ b/community/vlc/vlc.initd
@@ -0,0 +1,32 @@
+#!/sbin/openrc-run
+
+description="VideoLAN daemon"
+pidfile="/var/run/vlc/${RC_SVCNAME}.pid"
+command="/usr/bin/vlc"
+
+depend() {
+ need net
+ after firewall
+}
+
+start_pre() {
+ checkpath --directory --owner vlc:vlc --mode 775 ${pidfile%/*}
+}
+
+start() {
+ ebegin "Starting ${RC_SVCNAME}"
+ start-stop-daemon --start \
+ --user vlc \
+ --pidfile ${pidfile} \
+ --exec ${command} \
+ -- \
+ --daemon --pidfile ${pidfile} ${VLC_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${RC_SVCNAME}"
+ start-stop-daemon --stop \
+ --pidfile ${pidfile}
+ eend $?
+}